#
# spec file for package glava
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           glava
Version:        1.6.3
Release:        lp152.1.3
Summary:        OpenGL audio spectrum visualizer
License:        GPL-3.0-only
Group:          Productivity/Multimedia/Sound/Visualization
URL:            https://github.com/wacossusca34/glava
Source:         https://github.com/wacossusca34/glava/archive/v%{version}.tar.gz
BuildRequires:  gcc
#BuildRequires:  libglfw-devel >= 3.1
BuildRequires:  libXcomposite-devel
BuildRequires:  libXext-devel
BuildRequires:  libXrender-devel
BuildRequires:  libpulse-devel
#See: https://github.com/wacossusca34/glava/issues/100
Requires:       libglvnd-devel

%description
OpenGL audio spectrum visualizer. Its primary use case is for desktop windows or backgrounds.

%prep
%setup -q

%build
#ENABLE_GLFW=1 make %{?_smp_mflags}
make %{?_smp_mflags}

%install
%make_install

%files
%license LICENSE
%doc README.md
%{_sysconfdir}/xdg/glava/
%{_bindir}/glava

%changelog
* Wed Mar 13 2019 mvetter@suse.com
- Update to 1.6.3:
  * Fixed a spelling error in utils/premutliply.frag that broke
    native transparency in most modules
- Changes from 1.6.2:
  * Fixed a critical issue with --stdin that caused the alpha
    channel to be garbage data
  * Added a premultiply step to bars to allow for proper handling
    of the alpha channel on "native" transparency. This is disabled
  by default, assign USE_ALPHA to 1 in bars.glsl to enable.
- Changes from 1.6.1:
  * A problem with artifacting in circle has been fixed, see #107
  * --stdin has been added, which binds simple GLSL datatypes to
    STDIN in shaders. This evaluates to a uniform, and thus can be
  used to stream some data at runtime to GLava.
* Mon Mar 11 2019 mvetter@suse.com
- Update to 1.6.0:
  * FIFO support has been added. See README.md for details, also see #78
  * Added sampling modes for the GLSL smoothing pass to allow for more accurate output
  * Added support for disabling shader passes through GLSL, see #97
  * Enhanced rendering and options for graph, courtesy of @arch1t3cht30[3], see #97
  * Fixed clickthrough on Openbox (and potentially other window managers), see #80
  * Fixed the two lowest-frequency bars having the same value while running the bars module
  * Fixed some build issues on Ubuntu, musl, see #94, #91
  * Fixed a bug with circle that only manifested on some integrated graphics chips, see #70
* Sun Feb 24 2019 mvetter@suse.com
- Add Requires libglvnd-devel
  See: https://github.com/wacossusca34/glava/issues/100
* Fri Nov 30 2018 mvetter@suse.com
- Initial package for openSUSE in version 1.5.8
